> ## Documentation Index
> Fetch the complete documentation index at: https://docs.itoflow.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get AI trading decisions

> Returns AI trading decisions for the portfolio's linked strategy. Empty array if not linked.

Operation ID: get__portfolios_id_decisions.



## OpenAPI

````yaml /openapi/itoflow-public.openapi.json get /portfolios/{id}/decisions
openapi: 3.1.0
info:
  description: >-
    All Itoflow APIs are experimental and may change without notice. Read-only
    operations marked interactive can be tried from the documentation; the
    others are reference-only.
  title: Itoflow Developer API
  version: 1.0.0
servers:
  - description: Itoflow API
    url: https://api.itoflow.ai
security: []
tags:
  - name: Account
  - name: Billing
  - name: Brokers
  - name: Chat
  - name: Connected MCP servers
  - name: GitHub
  - name: Market data
  - name: Monitors
  - name: Notifications
  - name: Portfolios
  - name: Risk runs
  - name: Sharing and data
  - name: Strategies
paths:
  /portfolios/{id}/decisions:
    get:
      tags:
        - Portfolios
      summary: Get AI trading decisions
      description: >-
        Returns AI trading decisions for the portfolio's linked strategy. Empty
        array if not linked.


        Operation ID: get__portfolios_id_decisions.
      operationId: get__portfolios_id_decisions
      parameters:
        - description: Resource UUID
          in: path
          name: id
          required: true
          schema:
            description: Resource UUID
            example: 550e8400-e29b-41d4-a716-446655440000
            format: uuid
            type: string
        - description: Max results (1-50, default 20)
          in: query
          name: limit
          required: false
          schema:
            description: Max results (1-50, default 20)
            type: string
        - description: Pagination offset (default 0)
          in: query
          name: offset
          required: false
          schema:
            description: Pagination offset (default 0)
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DecisionsResponse'
          description: Trading decisions
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Invalid portfolio ID
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Ownership required
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Portfolio not found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Server error
      security:
        - bearerAuth: []
components:
  schemas:
    DecisionsResponse:
      properties:
        decisions:
          items:
            $ref: '#/components/schemas/DecisionItem'
          type: array
        metadata:
          properties:
            limit:
              type: integer
            offset:
              type: integer
            total:
              type: integer
          required:
            - total
            - limit
            - offset
          type: object
      required:
        - decisions
      type: object
    Error:
      properties:
        available:
          description: Optional available amount or value
          type: string
        billing_action:
          $ref: '#/components/schemas/BillingAction'
        code:
          description: Machine-readable error code
          type: string
        currentVersion:
          description: Current server-side version, when relevant
          type: number
        details:
          description: Optional structured error details
        error:
          description: Error type or code
          type: string
        expectedVersion:
          description: Client-provided expected version, when relevant
          type: number
        message:
          description: Human-readable error message
          type: string
        requested:
          description: Optional requested amount or value
          type: string
        usage:
          description: Optional usage metadata for limit errors
      required:
        - error
      type: object
    DecisionItem:
      properties:
        agentNotes:
          type:
            - string
            - 'null'
        confidence:
          type:
            - number
            - 'null'
        createdAt:
          type: string
        decisionDate:
          type: string
        decisionType:
          type: string
        errorMessage:
          type:
            - string
            - 'null'
        executionStatus:
          type:
            - string
            - 'null'
        id:
          format: uuid
          type: string
        marketOutlook:
          type:
            - string
            - 'null'
        reasoning:
          type:
            - string
            - 'null'
        strategyId:
          format: uuid
          type: string
        structuredDashboard:
          additionalProperties: {}
          type:
            - object
            - 'null'
        targetAllocation:
          additionalProperties: {}
          type:
            - object
            - 'null'
        taskId:
          type:
            - string
            - 'null'
        userInstruction:
          type:
            - string
            - 'null'
      required:
        - id
        - strategyId
        - taskId
        - decisionDate
        - decisionType
        - reasoning
        - confidence
        - targetAllocation
        - structuredDashboard
        - marketOutlook
        - executionStatus
        - errorMessage
        - userInstruction
        - agentNotes
        - createdAt
      type: object
    BillingAction:
      description: Action that resolves a billing-related rejection
      properties:
        href:
          type: string
        kind:
          enum:
            - upgrade
            - payment_method
            - spending_cap
            - billing
          type: string
        label:
          type: string
      required:
        - href
        - label
        - kind
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: Itoflow access token issued for the Itoflow API.
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.